* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: 'General Sans', sans-serif;
    color: #fff;
}

html, body {
    height: 100%;
    width: 100%;
}

#purple {
    height: 100vh;
    width: 100vw;
    top: 0;
    position: fixed;
    background-color: #edbfff;
    z-index: 100;
    opacity: 0;
    display: none;
    transition: opacity ease 1s;
}

.cursor {
    display: flex;
    align-items: center;
    justify-content: center;
    height: 20px;
    width: 20px;
    border-radius: 50%;
    position: fixed;
    background-color: #edbfff;
    color: #111;
    font-weight: 300;
    padding: 2px;
    z-index: 8;
    mix-blend-mode: difference;
    transition: background-image ease 0.5s;
    background-position: center;
    background-size: cover;
}

.main {
    background-color: #0f0d0d;
    cursor: none;
}

.page1 {
    min-height: 100vh;
    width: 100%;
    position: relative;
    z-index: 9;
    padding-top: 12vw;
}

#nav {
    height: 55px;
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 0 30px;
    position: fixed;
    mix-blend-mode: difference;
    z-index: 102;
}

#nav img {
    height: 26px;
}

#nav-part2 {
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 24px;
}

#nav #circle {
    height: 20px;
    width: 20px;
    border-radius: 50%;
    background-color: #fff;
}

#nav h4 {
    font-size: 16px;
    font-weight: 500;
    text-transform: uppercase;
}

#nav h4:nth-child(1) {
    border-bottom: 1.5px solid #fff;
}

.page1>h1 {
    font-size: 8vw;
    font-weight: 300;
    margin-left: 6vw;
}

.page1>h2 {
    font-size: 8vw;
    font-weight: 300;
    margin-left: 26vw;
}

.page1 video {
    width: 60%;
    margin-top: 10vw;
    position: relative;
    left: 50%;
    transform: translate(-50%, 0);
}

.page2 {
    min-height: 80vh;
    width: 100%;
    padding: 10vw 5vw;
    border-bottom: 2px solid #6c6c6c;
    position: relative;
    z-index: 9;
}

.page2 h1 {
    font-size: 7vw;
    font-weight: 400;
    color: #111;
    opacity: 0;
}

.page2-container {
    height: 60vh;
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: space-between;
    /* padding: 0 5vw; */
}

.page2-left {
    width: 38%;
}

.page2-right {
    width: 26%;
}

.page2-left h2 {
    font-size: 4vw;
    font-weight: 300;
    color: #111;
    line-height: 4vw;
    opacity: 0;
}

.page2-right p {
    font-size: 20px;
    color: #111;
    opacity: 0;
}

.page2-right button {
    width: 100%;
    border-radius: 50px;
    border: none;
    padding: 4px 0;
    background-color: #edbfff;
    color: #111;
    margin-top: 20px;
    opacity: 0;
}

.page3 {
    min-height: 100vh;
    width: 100%;
    padding-top: 100px;
    border-bottom: 2px solid #6c6c6c;
    position: relative;
    z-index: 9;
}

.page3 h1 {
    font-size: 6.8vw;
    font-weight: 300;
    color: #111;
    margin-left: 100px;
}

.page3-part1 {
    display: flex;
    align-items: flex-start;
    justify-content: space-between;
}

.page3-part1 img {
    height: 34vw;
    margin-top: 20vw;
}

.page3-part1 video {
    height: 20vw;
    margin-top: 8vw;
    margin-right: 4vw;
}

.page3-part2 {
    display: flex;
    align-items: flex-start;
    justify-content: space-between;
}

.page3-part2 .video1 {
    height: 28vw;
    margin-top: 26vw;
    margin-left: 6vw;
}

.page3-part2 .video2 {
    height: 46vw;
    margin-top: 2vw;
    margin-right: 6vw;
}

.page3-part3 {
    height: 35vh;
    margin-top: 2vw;

    display: flex;
    align-items: center;
    justify-content: space-between;
}

.page3-part3 h2 {
    display: flex;
    align-items: center;
    justify-content: center;

    font-size: 4.5vw;
    font-weight: 400;
    color: #111;
    text-transform: uppercase;
    margin-left: 6vw;
}

.page3-part3 button {
    display: flex;
    justify-content: center;
    align-items: center;

    font-size: 12px;
    font-weight: 200;
    text-transform: uppercase;
    color: #111;
    background-color: #edbfff;
    margin-right: 16vw;

    height: 150px;
    width: 150px;
    border-radius: 50%;
    border: none;
    outline: none;
    cursor: none;
    transition: all ease-out 0.5s;
}

.page3-part3 button:hover {
    color: #fff;
    background-color: #0f0d0d;
}

.page4 {
    min-height: 80vh;
    width: 100%;
    position: relative;
    z-index: 9;
    padding: 10vw;
    margin-top: 6vw;
}

.elem {
    display: flex;
    align-items: center;
    justify-content: center;
    position: relative;
}

.elem img {
    position: absolute;
    opacity: 0;
    transition: all ease-out 0.5s;
    transform: translateY(10%) rotate(2deg);
}

.elem img:nth-child(1) {
    left: 5%;
    height: 300px;
    width: 250px;
}

.elem img:nth-child(3) {
    right: .5%;
    height: 400px;
    width: 300px;
}

.elem h1 {
    font-size: 7.2vw;
    font-weight: 600;
    transition: all ease-out 0.5s;
}

.elem:hover h1 {
    transform: translateY(-100%);
    color: #edbfff;
}

.elem:hover img {
    opacity: 1;
    transform: translateY(0%) rotate(0deg);
}

.text-div {
    height: 120px;
    overflow: hidden;
}

.page5 {
    min-height: 100vh;
    width: 100%;
    position: relative;
    z-index: 9;
    padding: 8vw 6vw;
}

.page5 h2 {
    font-size: 4vw;
    text-transform: uppercase;
    font-weight: 400;
    margin-bottom: 4vw;
}

.box {
    display: flex;
    align-items: center;
    justify-content: space-between;
    height: 6vw;
    padding: 0 1vw;
    border-top: 2px solid #dadada;
}

.box:nth-last-child(1) {
    border-bottom: 2px solid #dadada;
}


footer {
    min-height: 100vh;
    width: 100%;
    background-color: #edbfff;

    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: space-between;
    padding-top: 20vh;
}

footer .footer-part1 {
    height: 35vh;
    width: 100%;
    margin-top: 2vw;

    display: flex;
    align-items: center;
    justify-content: space-between;
}

footer .footer-part1>h2 {
    display: flex;
    align-items: center;
    justify-content: center;
    margin-left: 5vw;

    font-size: 7.5vw;
    font-weight: 400;
    color: #111;

}

footer button {
    display: flex;
    justify-content: center;
    align-items: center;

    font-size: 12px;
    font-weight: 200;
    text-transform: uppercase;
    color: #111;
    background-color: #fff;
    margin-right: 16vw;

    height: 150px;
    width: 150px;
    border-radius: 50%;
    border: none;
    outline: none;
    cursor: none;
    transition: all ease-out 0.5s;
}

footer button:hover {
    color: #fff;
    background-color: #0f0d0d;
}

footer .footer-part2 {
    height: 40vh;
    width: 100%;
}

footer h3 {
    margin: 1vw 5vw;
    padding: 1vw;
    color: #0f0d0d;
    font-size: 2vw;
}

footer .links {
    display: flex;
    align-items: center;
    justify-content: flex-start;
    gap: 3vw;
    margin: 1vw 5vw;
    padding: 1vw;
}

footer .link h4{
    margin-top: 1vw;
    color: #0f0d0d;
    font-size: .8vw;
}

footer .link h5{
    margin-top: 1vw;
    color: #0f0d0d;
    font-size: 1vw;
    font-weight: 200;
}
